# Ipopt::IpoptAdditionalData Class Reference

Base class for additional data that is special to a particular type of algorithm, such as the CG penalty function, or using iterative linear solvers. More...

`#include <IpIpoptData.hpp>`

Inheritance diagram for Ipopt::IpoptAdditionalData:
[legend]

List of all members.

## Public Member Functions
virtual bool | Initialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)=0
| This method is called to initialize the global algorithmic parameters.
virtual bool | InitializeDataStructures ()=0
| Initialize Data Structures at the beginning.
virtual void | AcceptTrialPoint ()=0
| Do whatever is necessary to accept a trial point as current iterate.
Constructors/Destructors
| IpoptAdditionalData ()
| Default Constructor.
virtual | ~IpoptAdditionalData ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| IpoptAdditionalData (const IpoptAdditionalData &)
| Copy Constructor.
void | operator= (const IpoptAdditionalData &)
| Overloaded Equals Operator.

## Detailed Description

Base class for additional data that is special to a particular type of algorithm, such as the CG penalty function, or using iterative linear solvers.

The regular IpoptData object should be given a derivation of this base class when it is created.

Definition at line 28 of file IpIpoptData.hpp.

## Constructor & Destructor Documentation

Ipopt::IpoptAdditionalData::IpoptAdditionalData | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 34 of file IpIpoptData.hpp.

virtual Ipopt::IpoptAdditionalData::~IpoptAdditionalData | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 38 of file IpIpoptData.hpp.

Ipopt::IpoptAdditionalData::IpoptAdditionalData | ( | const IpoptAdditionalData & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::IpoptAdditionalData::Initialize | ( | const Journalist & | jnlst,
|  | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

This method is called to initialize the global algorithmic parameters.

The parameters are taken from the OptionsList object.

Implemented in Ipopt::InexactData, and Ipopt::CGPenaltyData.

virtual bool Ipopt::IpoptAdditionalData::InitializeDataStructures | ( |  | ) | `[pure virtual]`

Initialize Data Structures at the beginning.

Implemented in Ipopt::InexactData, and Ipopt::CGPenaltyData.

virtual void Ipopt::IpoptAdditionalData::AcceptTrialPoint | ( |  | ) | `[pure virtual]`

Do whatever is necessary to accept a trial point as current iterate.

This is also used to finish an iteration, i.e., to release memory, and to reset any flags for a new iteration.

Implemented in Ipopt::InexactData, and Ipopt::CGPenaltyData.

void Ipopt::IpoptAdditionalData::operator= | ( | const IpoptAdditionalData & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented in Ipopt::InexactData, and Ipopt::CGPenaltyData.

The documentation for this class was generated from the following file:

- src/Algorithm/IpIpoptData.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines